# Produce direct playback links
`POST https://octopus.livepush.io/streams/{stream_id}/embed/produce_direct_links`
Generates direct output links for the stream, for use outside the Livepush player.

Requires a token with write access to the stream (`CanWriteStreams`).
- **Tag:** Stream Embed
- **Operation ID:** `postStreamEmbedProduceDirectLinks`
- **Authentication:** Bearer token required
- **Docs:** https://developers.livepush.io/stream-embed/produce-direct-playback-links/

### Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `stream_id` | string | yes | Unique identifier of the stream. |


### Example request

```bash
curl -X POST 'https://octopus.livepush.io/streams/st_xxxxxxxxxxxxx/embed/produce_direct_links' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
```


### Responses


#### 200 — Setting applied.

- `success` (boolean)


```json
{
  "success": true
}
```


#### 400 — Response


#### 401 — Response

